%define anolis_release 3

%global base_version 3.75

Name:           perl-PathTools
Version:        3.84
Release:        %{anolis_release}%{?dist}
Summary:        PathTools Perl module (Cwd, File::Spec)
License:        (GPL+ or Artistic) and BSD
URL:            https://metacpan.org/release/PathTools
Source0:        https://cpan.metacpan.org/authors/id/X/XS/XSAWYERX/PathTools-%{base_version}.tar.gz

Patch0001:      0001-PathTools-3.74-Disable-VMS-tests.patch
Patch0002:      0002-PathTools-3.75-Upgrade-to-3.78.patch
Patch0003:      0003-PathTools-3.78-Upgrade-to-3.80.patch
Patch0004:      0004-PathTools-3.80-Upgrade-to-3.84.patch

BuildRequires:  gcc make findutils coreutils
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl-generators perl-interpreter perl-devel
# Run-time:
BuildRequires:  perl(XSLoader) perl(strict) perl(Scalar::Util)
BuildRequires:  perl(Exporter) perl(Errno) perl(constant) perl(Carp)
# Tests:
BuildRequires:  perl(lib) perl(File::Temp) perl(File::Path)
BuildRequires:  perl(Test::More) >= 0.88 perl(warnings) perl(Config) perl(Carp::Heavy)

Requires:       perl(Carp) perl(Scalar::Util) perl(Errno)
Recommends:     perl(XSLoader)

%{?perl_default_filter}

%description
perl-PathTools is a package that provides tools for working with directory and file 
names in Perl programming language

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n PathTools-%{base_version}
# Do not distribute File::Spec::VMS as it works on VMS only
rm lib/File/Spec/VMS.pm

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%{make_build}

%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Cwd.pm
%{perl_vendorarch}/File/
%{_mandir}/man3/*

%files doc
%doc Changes

%changelog
* Sat Apr 15 2023 yuanhui <yuanhui@linux.alibaba.com> - 3.84-2
- Optimize the spec file

* Wed Feb 08 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.84-1
- remove versioned MODULE_COMPAT_ requires
- update to version 3.84

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.75-3
- rebuild with perl 5.36.0

* Fri Oct 14 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.75-2
- add doc package

* Thu Mar 10 2022 Yaobin Shi <shiyaobin.syb@alibaba-inc.com> - 3.75-1
- Init for Anolis OS 23
